# Class Options

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a container for configuration or option settings used by the application.

    public class Options

Inheritance
  object
  Options

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Emulate

    public bool Emulate { get; set; }

#### Property Value

bool

### Password

    public string? Password { get; set; }

#### Property Value

string

### Port

    public int? Port { get; set; }

#### Property Value

int?

### Url

    public string? Url { get; set; }

#### Property Value

string